Wakfu won't start after update LinuxMint

Anything related to gaming on Linux Mint including game discussion or questions concerning Steam or Wine.
Forum rules
Before you post please read how to get help
uberdorf
Level 4
Level 4
Posts: 225
Joined: Tue Sep 01, 2015 10:15 am

Re: Wakfu won't start after update LinuxMint

Post by uberdorf » Fri Jan 12, 2018 12:54 pm

The error your PC gave when trying to reinstall the nvidia driver was for 4.13 being present on the system. It looks like you need to completely purge 4.13 from your computer for the NVIDIA driver to reinstall.

The easiest way without looking up the exact name of the kernel is to just go into your update manager, and look at the kernels. I think it is under "View" tab, I don't remember for sure. Then go to 4.13 and completely remove it. After 4.13 and anything else 4.11 and later is removed, then try reinstalling the NVIDIA driver.

User avatar
Dik Trejsi
Level 1
Level 1
Posts: 18
Joined: Thu Jan 11, 2018 10:29 am

Re: Wakfu won't start after update LinuxMint

Post by Dik Trejsi » Fri Jan 12, 2018 2:22 pm

Done.
In Update Manager under View tab, Linux Kernels.
I select 4.13.0-26 and remove it. It was only installed kernel above 4.10.0-42
Now in Update Manager kernel list look like this:
Image
Installed kernels:
4.8.0-53, 4.10.0-40 and 4.10.0-42 (active one)

After restart and reinstall nvidia-340 (without any error), restart...
I got this status again:

Code: Select all

sudo lshw -c display
[sudo] password for milan: 
  *-display               
       description: VGA compatible controller
       product: G96 [GeForce 9500 GT]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:02:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nouveau latency=0
       resources: irq:27 memory:df000000-dfffffff memory:c0000000-cfffffff memory:dc000000-ddffffff ioport:ef80(size=128) memory:c0000-dffff
Again module "nvidia" dosent exist.

Code: Select all

[    18.831] 
X.Org X Server 1.18.4
Release Date: 2016-07-19
[    18.831] X Protocol Version 11, Revision 0
[    18.831] Build Operating System: Linux 4.4.0-97-generic x86_64 Ubuntu
[    18.831] Current Operating System: Linux HAL9000 4.10.0-42-generic #46~16.04.1-Ubuntu SMP Mon Dec 4 15:57:59 UTC 2017 x86_64
[    18.831] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.10.0-42-generic root=UUID=32492acd-2b8c-44c8-bf84-1b8445ae52b6 ro quiet splash vt.handoff=7
[    18.831] Build Date: 13 October 2017  01:57:05PM
[    18.831] xorg-server 2:1.18.4-0ubuntu0.7 (For technical support please see http://www.ubuntu.com/support) 
[    18.831] Current version of pixman: 0.33.6
[    18.831] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    18.831] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    18.831] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Jan 12 19:02:11 2018
[    18.894] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    19.144] (==) No Layout section.  Using the first Screen section.
[    19.144] (==) No screen section available. Using defaults.
[    19.144] (**) |-->Screen "Default Screen Section" (0)
[    19.144] (**) |   |-->Monitor "<default monitor>"
[    19.147] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[    19.147] (==) Automatically adding devices
[    19.147] (==) Automatically enabling devices
[    19.147] (==) Automatically adding GPU devices
[    19.147] (==) Max clients allowed: 256, resource mask: 0x1fffff
[    19.188] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    19.188] 	Entry deleted from font path.
[    19.188] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    19.188] 	Entry deleted from font path.
[    19.188] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    19.188] 	Entry deleted from font path.
[    19.190] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    19.190] 	Entry deleted from font path.
[    19.190] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    19.190] 	Entry deleted from font path.
[    19.190] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/Type1,
	built-ins
[    19.190] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
[    19.190] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    19.190] (II) Loader magic: 0x55602f50cdc0
[    19.190] (II) Module ABI versions:
[    19.190] 	X.Org ANSI C Emulation: 0.4
[    19.190] 	X.Org Video Driver: 20.0
[    19.190] 	X.Org XInput driver : 22.1
[    19.190] 	X.Org Server Extension : 9.0
[    19.191] (++) using VT number 7

[    19.191] (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
[    19.192] (II) xfree86: Adding drm device (/dev/dri/card0)
[    19.193] (--) PCI:*(0:2:0:0) 10de:0640:10b0:0401 rev 161, Mem @ 0xdf000000/16777216, 0xc0000000/268435456, 0xdc000000/33554432, I/O @ 0x0000ef80/128, BIOS @ 0x????????/131072
[    19.193] (WW) "glamoregl" will not be loaded unless you've specified it to be loaded elsewhere.
[    19.193] (II) "glx" will be loaded by default.
[    19.193] (II) LoadModule: "glx"
[    19.402] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    19.601] (II) Module glx: vendor="X.Org Foundation"
[    19.601] 	compiled for 1.18.4, module version = 1.0.0
[    19.601] 	ABI class: X.Org Server Extension, version 9.0
[    19.601] (==) AIGLX enabled
[    19.601] (==) Matched nvidia as autoconfigured driver 0
[    19.601] (==) Matched nouveau as autoconfigured driver 1
[    19.601] (==) Matched nvidia as autoconfigured driver 2
[    19.601] (==) Matched nouveau as autoconfigured driver 3
[    19.601] (==) Matched modesetting as autoconfigured driver 4
[    19.601] (==) Matched fbdev as autoconfigured driver 5
[    19.601] (==) Matched vesa as autoconfigured driver 6
[    19.601] (==) Assigned the driver to the xf86ConfigLayout
[    19.601] (II) LoadModule: "nvidia"
[    19.601] (WW) Warning, couldn't open module nvidia
[    19.601] (II) UnloadModule: "nvidia"
[    19.601] (II) Unloading nvidia
[    19.601] (EE) Failed to load module "nvidia" (module does not exist, 0)
[    19.601] (II) LoadModule: "nouveau"
[    19.601] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[    19.621] (II) Module nouveau: vendor="X.Org Foundation"
[    19.621] 	compiled for 1.18.1, module version = 1.0.12
[    19.621] 	Module class: X.Org Video Driver
[    19.621] 	ABI class: X.Org Video Driver, version 20.0
[    19.621] (II) LoadModule: "modesetting"
[    19.622] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    19.658] (II) Module modesetting: vendor="X.Org Foundation"
[    19.658] 	compiled for 1.18.4, module version = 1.18.4
[    19.658] 	Module class: X.Org Video Driver
[    19.658] 	ABI class: X.Org Video Driver, version 20.0
[    19.658] (II) LoadModule: "fbdev"
[    19.659] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    19.690] (II) Module fbdev: vendor="X.Org Foundation"
[    19.690] 	compiled for 1.18.1, module version = 0.4.4
[    19.690] 	Module class: X.Org Video Driver
[    19.690] 	ABI class: X.Org Video Driver, version 20.0
[    19.690] (II) LoadModule: "vesa"
[    19.690] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    19.703] (II) Module vesa: vendor="X.Org Foundation"
[    19.703] 	compiled for 1.18.1, module version = 2.3.4
[    19.703] 	Module class: X.Org Video Driver
[    19.703] 	ABI class: X.Org Video Driver, version 20.0
[    19.703] (==) Matched nvidia as autoconfigured driver 0
[    19.703] (==) Matched nouveau as autoconfigured driver 1
[    19.703] (==) Matched nvidia as autoconfigured driver 2
[    19.703] (==) Matched nouveau as autoconfigured driver 3
[    19.703] (==) Matched modesetting as autoconfigured driver 4
[    19.703] (==) Matched fbdev as autoconfigured driver 5
[    19.703] (==) Matched vesa as autoconfigured driver 6
[    19.703] (==) Assigned the driver to the xf86ConfigLayout
[    19.703] (II) LoadModule: "nvidia"
[    19.704] (WW) Warning, couldn't open module nvidia
[    19.704] (II) UnloadModule: "nvidia"
[    19.704] (II) Unloading nvidia
[    19.704] (EE) Failed to load module "nvidia" (module does not exist, 0)
[    19.704] (II) LoadModule: "nouveau"
[    19.704] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[    19.704] (II) Module nouveau: vendor="X.Org Foundation"
[    19.704] 	compiled for 1.18.1, module version = 1.0.12
[    19.704] 	Module class: X.Org Video Driver
[    19.704] 	ABI class: X.Org Video Driver, version 20.0
[    19.704] (II) UnloadModule: "nouveau"
[    19.704] (II) Unloading nouveau
[    19.704] (II) Failed to load module "nouveau" (already loaded, 0)
[    19.704] (II) LoadModule: "modesetting"
[    19.704] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    19.704] (II) Module modesetting: vendor="X.Org Foundation"
[    19.704] 	compiled for 1.18.4, module version = 1.18.4
[    19.704] 	Module class: X.Org Video Driver
[    19.704] 	ABI class: X.Org Video Driver, version 20.0
[    19.704] (II) UnloadModule: "modesetting"
[    19.704] (II) Unloading modesetting
[    19.704] (II) Failed to load module "modesetting" (already loaded, 0)
[    19.704] (II) LoadModule: "fbdev"
[    19.704] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    19.704] (II) Module fbdev: vendor="X.Org Foundation"
[    19.704] 	compiled for 1.18.1, module version = 0.4.4
[    19.704] 	Module class: X.Org Video Driver
[    19.704] 	ABI class: X.Org Video Driver, version 20.0
[    19.704] (II) UnloadModule: "fbdev"
[    19.704] (II) Unloading fbdev
[    19.704] (II) Failed to load module "fbdev" (already loaded, 0)
[    19.704] (II) LoadModule: "vesa"
[    19.704] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    19.704] (II) Module vesa: vendor="X.Org Foundation"
[    19.704] 	compiled for 1.18.1, module version = 2.3.4
[    19.704] 	Module class: X.Org Video Driver
[    19.704] 	ABI class: X.Org Video Driver, version 20.0
[    19.704] (II) UnloadModule: "vesa"
[    19.704] (II) Unloading vesa
[    19.704] (II) Failed to load module "vesa" (already loaded, 0)
[    19.704] (II) NOUVEAU driver Date:   Tue Dec 8 15:52:25 2015 +1000
[    19.704] (II) NOUVEAU driver for NVIDIA chipset families :
I tried and "Option 2": Reinstalling NVIDIA through driver-manager. Select nouveau and install it. Reboot. Select nvidia-340 and install it. Reboot.
Same result, the game is have same problem.

Had I missed step or something in process of removing 4.13 kernel?

uberdorf
Level 4
Level 4
Posts: 225
Joined: Tue Sep 01, 2015 10:15 am

Re: Wakfu won't start after update LinuxMint

Post by uberdorf » Fri Jan 12, 2018 2:45 pm

You really should use kernel 4.4 like I suggested rather than 4.10. First reason is that 4.10 will soon stop getting updates if not already. The Ubuntu team already bumped everyone with 4.10 HWE up to 4.13. So now it will be 4.4 and 4.13 getting updates from Ubuntu until 4.4 reaches end of life with Ubuntu 16.04. Kernel 4.10 is not getting the Meltdown patches, but 4.4 and 4.13 are. The second reason is that apparently NVIDIA has trouble with 4.10 too from my google search for kernel 4.10 and NVIDIA 340. So a patch is required for 4.10 also or it has to be installed directly from NVIDIA which is not recommended.
https://devtalk.nvidia.com/default/topi ... rnel-4-10/
https://forum.kde.org/viewtopic.php?f=309&t=139189

So please install the latest 4.4 kernel and then remove all 4.8 and 4.10 kernels. Then after reboot try reinstalling nvidia.

User avatar
Dik Trejsi
Level 1
Level 1
Posts: 18
Joined: Thu Jan 11, 2018 10:29 am

Re: Wakfu won't start after update LinuxMint

Post by Dik Trejsi » Fri Jan 12, 2018 3:34 pm

uberdorf wrote:You really should use kernel 4.4 like I suggested rather than 4.10.
So please install the latest 4.4 kernel and then remove all 4.8 and 4.10 kernels. Then after reboot try reinstalling nvidia.
Ok. Done.
Now I am on 4.4 kernel only, there is not other kernels (I removed them).

Code: Select all

uname -a
Linux HAL9000 4.4.0-109-generic #132-Ubuntu SMP Tue Jan 9 19:52:39 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
First I tried and "Option 2". Without any result.
Then "Option 1".

Code: Select all

sudo apt install --reinstall nvidia-340
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libantlr-java libgluegen2-jni libjogl2-jni
Use 'sudo apt autoremove' to remove them.
0 to upgrade, 0 to newly install, 1 reinstalled, 0 to remove and 0 not to upgrade.
Need to get 0 B/51,7 MB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 238431 files and directories currently installed.)
Preparing to unpack .../nvidia-340_340.102-0ubuntu0.16.04.2_amd64.deb ...
Stopping nvidia-persistenced
nvidia-persistenced: no process found
Done.
Removing all DKMS Modules
Done.
Stopping previous nvidia-persistenced
nvidia-persistenced: no process found
Done.
Unpacking nvidia-340 (340.102-0ubuntu0.16.04.2) over (340.102-0ubuntu0.16.04.2) ...
Processing triggers for libc-bin (2.23-0ubuntu9) ...
Processing triggers for ureadahead (0.100.0-19) ...
ureadahead will be reprofiled on next reboot
Processing triggers for man-db (2.7.5-1) ...
Setting up nvidia-340 (340.102-0ubuntu0.16.04.2) ...
INFO:Enable nvidia-340
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
Loading new nvidia-340-340.102 DKMS files...
Building only for 4.4.0-109-generic
Building for architecture x86_64
Building initial module for 4.4.0-109-generic
Done.

nvidia_340:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-109-generic/kernel/drivers/char/drm/

nvidia_340_uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-109-generic/kernel/drivers/video/

depmod.....

DKMS: install completed.
Processing triggers for libc-bin (2.23-0ubuntu9) ...
Restart.

Sorry, but there is no progress.

Code: Select all

sudo lshw -c display
 *-display               
       description: VGA compatible controller
       product: G96 [GeForce 9500 GT]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:02:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nouveau latency=0
       resources: irq:27 memory:df000000-dfffffff memory:c0000000-cfffffff memory:dc000000-ddffffff ioport:ef80(size=128) memory:def80000-deffffff
Game still, not working.

Thanks for Your the great effort.

User avatar
Dik Trejsi
Level 1
Level 1
Posts: 18
Joined: Thu Jan 11, 2018 10:29 am

Re: Wakfu won't start after update LinuxMint

Post by Dik Trejsi » Fri Jan 12, 2018 3:51 pm

nouveau is in:

Code: Select all

/usr/lib/xorg/modules/drivers/nouveau_drv.so
nvidia is in:

Code: Select all

/usr/lib/nvidia-340/xorg/nvidia_drv.so

uberdorf
Level 4
Level 4
Posts: 225
Joined: Tue Sep 01, 2015 10:15 am

Re: Wakfu won't start after update LinuxMint

Post by uberdorf » Fri Jan 12, 2018 8:34 pm

Normally I would not recommend dist-upgrade on Mint, but since there are conflicts on your system I think doing the dist-upgrade is warranted. Doing a dist-upgrade will update some packages that Mint normally won't upgrade, and remove some conflicting packages.

Code: Select all

sudo apt update
sudo apt dist-upgrade
Then of course reboot and see if it works. Also check the Wakfu log file to see if anything has changed.

Does everything else work? Would it be a big inconvenience to reinstall Linux Mint? If the dist-upgrade doesn't work and there are no changes in the error log, I would try reinstalling Linux if practical.
Last edited by uberdorf on Sat Jan 13, 2018 7:08 am, edited 1 time in total.

uberdorf
Level 4
Level 4
Posts: 225
Joined: Tue Sep 01, 2015 10:15 am

Re: Wakfu won't start after update LinuxMint

Post by uberdorf » Sat Jan 13, 2018 7:07 am

Before going any further, you did delete your copy of Wakfu and download a fresh copy in case your old copy got corrupted, right?

User avatar
Dik Trejsi
Level 1
Level 1
Posts: 18
Joined: Thu Jan 11, 2018 10:29 am

Re: Wakfu won't start after update LinuxMint

Post by Dik Trejsi » Sun Jan 14, 2018 12:59 pm

Yes, the first thing I do before posting this thread is: delete all files (main, .local and .config) of Wakfu and download and install a fresh one. :)
So far everything else is working fine, after all this changes to the system.

There is nothing to upgrade...?:

Code: Select all

sudo apt update
Ign:1 http://mirror.pmf.kg.ac.rs/mint/packages.linuxmint.com sonya InRelease
Hit:2 http://mirror.pmf.kg.ac.rs/mint/packages.linuxmint.com sonya Release     
Get:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]     
Hit:4 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease        
Hit:5 http://hr.archive.ubuntu.com/ubuntu xenial InRelease                     
Hit:6 http://hr.archive.ubuntu.com/ubuntu xenial-updates InRelease             
Hit:7 http://hr.archive.ubuntu.com/ubuntu xenial-backports InRelease           
Hit:9 http://archive.canonical.com/ubuntu xenial InRelease                     
Hit:10 https://repo.skype.com/deb stable InRelease                             
Fetched 102 kB in 1s (92,8 kB/s)
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up-to-date.

Code: Select all

sudo apt dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
I think that I will reinstall Linux Mint, to be exact: Xubuntu 16.04, in the future.
Mint 18.2 (XFCE) is using more resources (26% RAM, 532 MB) than Xubuntu 14.04 (12% RAM, 245 MB).
I turned off visual effects and unnecessary startup applications in Mint but can't go under 26%.

Thank You for everything.
Auf Wiederschreiben :wink:

User avatar
Dik Trejsi
Level 1
Level 1
Posts: 18
Joined: Thu Jan 11, 2018 10:29 am

Re: Wakfu won't start after update LinuxMint

Post by Dik Trejsi » Sun Jan 21, 2018 7:41 am

I think this is related with Mesa:
"With recent mesa the naming convention has been changed and now AMD cards are named "AMD" instead of the former name "Gallium". This cause the bug."
Maybe is Nvidia changed too...
Linux Mesa problem - Wakfu forum
Bugzilla bug1357

Code: Select all

glxinfo

OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.2.4

Post Reply

Return to “Gaming on Linux Mint”